microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
ヘッダー パラメーター
Foundry-Features
enum
必須
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
パス パラメーター
name
string
必須
The name of the memory store.
クエリ パラメーター
api-version
string
必須
The API version to use for this operation.
要求本文
Content-Type: application/json
scope
string
必須
The namespace that logically groups and isolates memories to delete, such as a user ID.
応答
The request has succeeded.
本文
Content-Type: application/json
object
enum
必須
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
必須
The name of the memory store.
scope
string
必須
The scope from which memories were deleted.
deleted
boolean
必須
Whether the deletion operation was successful.
要求
POST /memory_stores/{name}:delete_scope HTTP/1.1
回答
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json